package com.izouma.awesomeadmin.service;

import java.util.*;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ImageUploadLog;


/**
 * service接口类
 */
public interface ImageUploadLogService {

    List<ImageUploadLog> getImageUploadLogList(ImageUploadLog record);

    List<ImageUploadLog> getImageUploadLogByPage(Page page, ImageUploadLog record);

    ImageUploadLog getImageUploadLogById(String id);

    ImageUploadLog getImageUploadLog(ImageUploadLog record);

    boolean createImageUploadLog(ImageUploadLog record);

    boolean deleteImageUploadLog(String id);

    boolean updateImageUploadLog(ImageUploadLog record);

    List<ImageUploadLog> queryDelOssImage(String orderId);
}

